## org.mortbay.cometd
Class AbstractBayeux.ServiceChannel

    java.lang.Object
      org.mortbay.cometd.ChannelImpl
          org.mortbay.cometd.AbstractBayeux.ServiceChannel

All Implemented Interfaces:
  Channel

Enclosing class:
  AbstractBayeux

    protected class AbstractBayeux.ServiceChannel

extends ChannelImpl

Field Summary

Fields inherited from class org.mortbay.cometd.ChannelImpl
`_bayeux`

Method Summary
`void` `addChild(ChannelImpl channel)`
`void` `subscribe(Client client)` Subscribe to a channel.

Methods inherited from class org.mortbay.cometd.ChannelImpl
`addDataFilter, doDelivery, getChannelId, getChannels, getChild, getDataFilters, getId, getSubscribers, getToken, isPersistent, publish, remove, removeDataFilter, setPersistent, toString, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addChild

    public void addChild(ChannelImpl channel)

  Overrides:
    `addChild` in class `ChannelImpl`

### subscribe

    public void subscribe(Client client)

  Description copied from interface: `Channel`
  Subscribe to a channel. Equivalent to bayeux.subscribe(channel.getId(),subscriber,false);

  Specified by:
    `subscribe` in interface `Channel`
  Overrides:
    `subscribe` in class `ChannelImpl`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.